Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.internal.editor.handler
Class SelectAttributesDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.jface.dialogs.TrayDialog
                  org.eclipse.jface.dialogs.TitleAreaDialog
                      org.eclipse.jface.wizard.WizardDialog
                          org.eclipse.emf.ecp.view.internal.editor.handler.SelectAttributesDialog

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IPageChangeProvider, org.eclipse.jface.operation.IRunnableContext, org.eclipse.jface.window.IShellProvider, org.eclipse.jface.wizard.IWizardContainer, org.eclipse.jface.wizard.IWizardContainer2

    public class SelectAttributesDialog

extends org.eclipse.jface.wizard.WizardDialog

Dialog for selecting the attributes for which controls should be generated.

Author:
  Eugen Neufeld, Alexandra Buzila

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`org.eclipse.jface.window.Window.IExceptionHandler`

Field Summary

Fields inherited from class org.eclipse.jface.wizard.WizardDialog
`WIZ_IMG_ERROR`

Fields inherited from class org.eclipse.jface.dialogs.TitleAreaDialog
`DLG_IMG_TITLE_BANNER, DLG_IMG_TITLE_ERROR, INFO_MESSAGE, WARNING_MESSAGE`

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`SelectAttributesDialog(SelectAttributesWizard wiz, VView view, org.eclipse.emf.ecore.EClass rootClass, org.eclipse.swt.widgets.Shell parentShell)` Constructor.

Method Summary
`boolean` | `close()`
`org.eclipse.emf.ecore.EClass` | `getRootClass()`
`Set<org.eclipse.emf.ecore.EStructuralFeature>` | `getSelectedFeatures()`

Methods inherited from class org.eclipse.jface.wizard.WizardDialog
`addPageChangedListener, addPageChangingListener, getCurrentPage, getSelectedPage, removePageChangedListener, removePageChangingListener, run, setMinimumPageSize, setMinimumPageSize, setPageSize, setPageSize, showPage, updateButtons, updateMessage, updateSize, updateTitleBar, updateWindowTitle`

Methods inherited from class org.eclipse.jface.dialogs.TitleAreaDialog
`getErrorMessage, getMessage, setErrorMessage, setMessage, setMessage, setTitle, setTitleAreaColor, setTitleImage`

Methods inherited from class org.eclipse.jface.dialogs.TrayDialog
`closeTray, getTray, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

Methods inherited from class org.eclipse.jface.dialogs.Dialog
`applyDialogFont, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, create, getBlockedHandler, getImage, setBlockedHandler, shortenText`

Methods inherited from class org.eclipse.jface.window.Window
`getDefaultImage, getDefaultImages, getDefaultOrientation, getReturnCode, getShell, getWindowManager, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setWindowManager`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizardContainer
`getShell`

Constructor Detail

### SelectAttributesDialog

    public SelectAttributesDialog(SelectAttributesWizard wiz,
                                  VView view,
                                  org.eclipse.emf.ecore.EClass rootClass,
                                  org.eclipse.swt.widgets.Shell parentShell)

  Constructor.

  Parameters:
    `view` - for identifying the attributes which are not referenced yet
    `rootClass` - the rootClass of the view
    `parentShell` - the shell for creating the dialog

Method Detail

### close

    public boolean close()

  Overrides:
    `close` in class `org.eclipse.jface.wizard.WizardDialog`

### getSelectedFeatures

    public Set<org.eclipse.emf.ecore.EStructuralFeature> getSelectedFeatures()

  Returns:
    the set of features selected in the dialog, for which controls should be generated.

### getRootClass

    public org.eclipse.emf.ecore.EClass getRootClass()

  Returns:
    the rootEClass the dialog is displaying the attributes for.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.